This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 346551 - Port apr-util to use NSS library for cryptography
Port apr-util to use NSS library for cryptography
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: apr-util (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks: CryptoConsolidation
  Show dependency treegraph
 
Reported: 2007-10-23 06:16 EDT by Peter Vrabec
Modified: 2014-01-29 12:20 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-29 12:20:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Peter Vrabec 2007-10-23 06:16:34 EDT
apr-util should be ported to use NSS library for cryptography.
See the tracking bug for details and links on how it could be done.
Comment 1 Joe Orton 2007-10-23 07:46:41 EDT
apr-util has MD5, SHA1, and MD4 implementations, which are easy enough to switch
out to an external library, except that IIRC NSS does not implement MD4.  Are
there plans to change that?

Otherwise, apr-util exposes the interface to the OpenLDAP support via the
apr-util API, dependent on the OpenSSL API/ABI, and changing that is probably a
big ABI-breaking PITA.
Comment 2 Joe Orton 2014-01-29 12:20:26 EST
apr-util has equal support for NSS & OpenSSL

Note You need to log in before you can comment on or make changes to this bug.